Page Summary
-
This document outlines how to update an existing FirstAndThirdPartyAudience using a PATCH request.
-
This functionality is only supported for audiences with the types
CUSTOMER_MATCH_CONTACT_INFOandCUSTOMER_MATCH_DEVICE_ID. -
The request includes a unique ID for the audience and requires an updateMask to specify which fields to modify and an advertiserId.
-
Only the fields
displayName,description, andmembershipDurationDayscan be updated. -
The process requires the OAuth scope
https://www.googleapis.com/auth/display-video.
Updates an existing FirstAndThirdPartyAudience.
Only supported for the following audienceType:
CUSTOMER_MATCH_CONTACT_INFOCUSTOMER_MATCH_DEVICE_ID
HTTP request
PATCH https://displayvideo.googleapis.com/v1beta2/firstAndThirdPartyAudiences/{firstAndThirdPartyAudience.firstAndThirdPartyAudienceId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
firstAndThirdPartyAudience.firstAndThirdPartyAudienceId |
Output only. The unique ID of the first and third party audience. Assigned by the system. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The mask to control which fields to update. Updates are only supported for the following fields:
This is a comma-separated list of fully qualified names of fields. Example: |
advertiserId |
Required. The ID of the owner advertiser of the updated FirstAndThirdPartyAudience. |
Request body
The request body contains an instance of FirstAndThirdPartyAudience.
Response body
If successful, the response body contains an instance of FirstAndThirdPartyAudience.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.